VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec Class Reference

The `Ethernet.CreateSpec` class provides a specification for the configuration of a newly-created virtual Ethernet adapter. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.EthernetTypes.EmulationType | Get_Type ()
| Ethernet adapter emulation type.
void | SetType (vmware.vcenter.vm.hardware.EthernetTypes.EmulationType type)
| Ethernet adapter emulation type.
bool | GetUptCompatibilityEnabled ()
| Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.
void | SetUptCompatibilityEnabled (bool?uptCompatibilityEnabled)
| Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.
vmware.vcenter.vm.hardware.EthernetTypes.MacAddressType | GetMacType ()
| MAC address type.
void | SetMacType (vmware.vcenter.vm.hardware.EthernetTypes.MacAddressType macType)
| MAC address type.
string | GetMacAddress ()
| MAC address.
void | SetMacAddress (string macAddress)
| MAC address.
long | GetPciSlotNumber ()
| Address of the virtual Ethernet adapter on the PCI bus.
void | SetPciSlotNumber (long?pciSlotNumber)
| Address of the virtual Ethernet adapter on the PCI bus.
bool | GetWakeOnLanEnabled ()
| Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.
void | SetWakeOnLanEnabled (bool?wakeOnLanEnabled)
| Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.
vmware.vcenter.vm.hardware.EthernetTypes.BackingSpec | GetBacking ()
| Physical resource backing for the virtual Ethernet adapter.
void | SetBacking (vmware.vcenter.vm.hardware.EthernetTypes.BackingSpec backing)
| Physical resource backing for the virtual Ethernet adapter.
bool | GetStartConnected ()
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
void | SetStartConnected (bool?startConnected)
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
bool | GetAllowGuestControl ()
| Flag indicating whether the guest can connect and disconnect the device.
void | SetAllowGuestControl (bool?allowGuestControl)
| Flag indicating whether the guest can connect and disconnect the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Ethernet.CreateSpec` class provides a specification for the configuration of a newly-created virtual Ethernet adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.EthernetTypes.EmulationType vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::Get_Type | ( |  | ) | `[inline]`

Ethernet adapter emulation type.

bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetAllowGuestControl | ( |  | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

vmware.vcenter.vm.hardware.EthernetTypes.BackingSpec vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual Ethernet adapter.

override int vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetMacAddress | ( |  | ) | `[inline]`

MAC address.

vmware.vcenter.vm.hardware.EthernetTypes.MacAddressType vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetMacType | ( |  | ) | `[inline]`

MAC address type.

long vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetPciSlotNumber | ( |  | ) | `[inline]`

Address of the virtual Ethernet adapter on the PCI bus.

If the PCI address is invalid, the server will change when it the VM is started or as the device is hot added.

bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetStartConnected | ( |  | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetUptCompatibilityEnabled | ( |  | ) | `[inline]`

Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.

bool vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::GetWakeOnLanEnabled | ( |  | ) | `[inline]`

Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetAllowGuestControl | ( | bool? | allowGuestControl | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetBacking | ( | vmware.vcenter.vm.hardware.EthernetTypes.BackingSpec | backing | ) | `[inline]`

Physical resource backing for the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetMacAddress | ( | string | macAddress | ) | `[inline]`

MAC address.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetMacType | ( | vmware.vcenter.vm.hardware.EthernetTypes.MacAddressType | macType | ) | `[inline]`

MAC address type.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetPciSlotNumber | ( | long? | pciSlotNumber | ) | `[inline]`

Address of the virtual Ethernet adapter on the PCI bus.

If the PCI address is invalid, the server will change when it the VM is started or as the device is hot added.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetStartConnected | ( | bool? | startConnected | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetType | ( | vmware.vcenter.vm.hardware.EthernetTypes.EmulationType | type | ) | `[inline]`

Ethernet adapter emulation type.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetUptCompatibilityEnabled | ( | bool? | uptCompatibilityEnabled | ) | `[inline]`

Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::SetWakeOnLanEnabled | ( | bool? | wakeOnLanEnabled | ) | `[inline]`

Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.

override string vmware::vcenter::vm::hardware::EthernetTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- EthernetTypes.cs